Bug 115209 - make error in rhgb CVS 2-8-04, undeclared
make error in rhgb CVS 2-8-04, undeclared
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
Depends On:
  Show dependency treegraph
Reported: 2004-02-08 22:09 EST by Steve Barnhart
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.12-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-13 18:01:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Barnhart 2004-02-08 22:09:17 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Configuration works fine. When running "make" to compile rhgb cvs, get
an undeclared error as demonstrated below.

Making all in src
make[2]: Entering directory `/home/steven/sources/rhgb/src'
if gcc -DHAVE_CONFIG_H -I. -I. -I.. -I..    -g -O2
-I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include
-I/usr/include/freetype2 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include   -MT main.o -MD -MP -MF ".deps/main.Tpo" \
  -c -o main.o `test -f 'main.c' || echo './'`main.c; \
then mv -f ".deps/main.Tpo" ".deps/main.Po"; \
else rm -f ".deps/main.Tpo"; exit 1; \
main.c: In function `unmount_ramfs':
main.c:235: `MNT_DETACH' undeclared (first use in this function)
main.c:235: (Each undeclared identifier is reported only once
main.c:235: for each function it appears in.)
make[2]: *** [main.o] Error 1
make[2]: Leaving directory `/home/steven/sources/rhgb/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/steven/sources/rhgb'
make: *** [all] Error 2
--end snip--

Intel celeron 1.1 ghz
384 megs ram
fedora core 1

Version-Release number of selected component (if applicable):
CVS 2-08-04

How reproducible:

Steps to Reproduce:
1. download latest cvs 
2. ./autogen.c
3. make

Actual Results:  Error as seen above

Expected Results:  compilation and installation of latest rhgb

Additional info:
Comment 1 Sahil Verma 2004-03-14 02:00:20 EST
MNT_DETACH is missing from <sys/mount.h> in glibc-headers-2.3.2-101.4
on FC1 with some updated packages. This is surprising, since the
umount2 man page clearly mentions MNT_DETACH as a valid flag.

Defining MNT_DETACH to 2 (to match the kernel) in sys/mount.h makes it
compile, although this isn't the most desirable "fix" by far.

Oh, and I also needed to include <sys/mount.h> in main.c.
Comment 2 Bastien Nocera 2004-07-12 00:02:41 EDT
The bug would be fixed by the patch in bug #112928
Comment 3 Bastien Nocera 2004-07-13 18:01:47 EDT
Fixed, as seen in:

Note You need to log in before you can comment on or make changes to this bug.